library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;
-- for memory
LIBRARY lpm;
USE lpm.lpm_components.ALL;
LIBRARY altera_mf;
USE altera_mf.altera_mf_components.all;

entity pm is
	Port (
           clk    : in std_logic;
           Rst    : in std_logic;
           PM_A   : in std_logic_vector(15 downto 0);
           PM_Drd : out std_logic_vector(15 downto 0));
end pm;

architecture Arch of pm is
begin
progMemory: lpm_rom GENERIC MAP (
  lpm_widthad => 12,
  lpm_outdata => "REGISTERED",
  --
  lpm_address_control => "UNREGISTERED",
  lpm_file => "./soft/chenillar.mif",-- fill ram with content of file program.mif
  lpm_width => 16)
  PORT MAP (
    address => PM_A(11 downto 0), --8
    memenab => '1',
 --   inclock => Clk,
    outclock => clk,
    q => PM_Drd);
end Arch;
